package com.goafanti.common.dao;

import java.util.List;

import com.goafanti.common.model.OrgFinance;

public interface OrgFinanceMapper {
    int deleteByPrimaryKey(String id);

    int insert(OrgFinance record);

    int insertSelective(OrgFinance record);

    OrgFinance selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(OrgFinance record);

    int updateByPrimaryKey(OrgFinance record);

	OrgFinance selectOrgFinanceByUid(String uid);

	int batchDeleteByPrimaryKey(List<String> id);

	OrgFinance selectFinanceByUidAndYear(String uid, Integer year);
}